Package org.silverpeas.components.kmelia.export

# Class DefaultExportFileNameProducer

java.lang.Object
org.silverpeas.components.kmelia.export.DefaultExportFileNameProducer

All Implemented Interfaces:
  `ExportFileNameProducer`

public class DefaultExportFileNameProducer extends Object implements ExportFileNameProducer
A default export file name producer. It computes the name of export file according to the name of the publication and of the space and component instance the publication belongs to.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultExportFileNameProducer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultExportFileNameProducer`
  `aDefaultExportFileNameProducer()`
  `String`
  `getPublicationExportFileName(KmeliaPublication publication, String language)`
  Gets the name of the file into which the specified publication can be exported, whatever the format of the export file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultExportFileNameProducer

    public DefaultExportFileNameProducer()

- ## Method Details

  - ### aDefaultExportFileNameProducer

    public static DefaultExportFileNameProducer aDefaultExportFileNameProducer()

  - ### getPublicationExportFileName

    public String getPublicationExportFileName(KmeliaPublication publication, String language)
    Description copied from interface: `ExportFileNameProducer`
    Gets the name of the file into which the specified publication can be exported, whatever the format of the export file.
    Specified by:
      `getPublicationExportFileName` in interface `ExportFileNameProducer`
    Parameters:
      `publication` - the Kmelia publication to export.
      `language` - the language in which the file should be named. This parameter can be not taken into account in the file name computation by the implementation (depends on the strategy used in the name production).
    Returns:
      the name of the file into which the publication can be exported.